Subject: bug#26215: gschemas.compiled should not be added to the profile by multiple packages

From: Federico Beffa <[email-masked]>
Date: Fri, 24 Mar 2017 08:28:40 +0100

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> On 03/23/2017 05:20 PM, Federico Beffa wrote:
>> Note that if you mix GTK-2 and GTK-3 schemas many applications will
>> crash.  The glib-or-gtk-build-system tries to avoid mixing the two.
>> 
>> Fede
>> 
>
> I believe you are confusing schemas and modules. GSettings schemas come
> from GLib and both GTK+ 2 and GTK+ 3 use the same GLib.

You're probably right.  I only remember quite vaguely that, while
developing the build system and experimenting, I was seeing crashes due
to GTK+ applications seeing stuff from the wrong version.  I thought
that this could be relevant here, but maybe not.

Regards,
Fede